Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 3004353002: Expose new video codec factories in the PeerConnectionFactory API (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks ago by magjed_webrtc
Modified:
3 days, 18 hours ago
CC:
webrtc-reviews_webrtc.org, the sun, tterriberry_mozilla.com, kwiberg-webrtc, andersc
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Expose new video codec factories in the PeerConnectionFactory API This CL exposes the new type of video codec factories that represent all video codecs in the PeerConnectionFactory API, i.e. no extra internal SW video codecs will be added. Clients of the new functions will be responsible for adding all SW video codecs themselves, and also handling SW fallback and simulcast. BUG=webrtc:7925 R=deadbeef@webrtc.org Review-Url: https://codereview.webrtc.org/3004353002 . Cr-Commit-Position: refs/heads/master@{#19866} Committed: https://webrtc.googlesource.com/src/+/58b0316f3d19918788b7a484e3e6a7797ad7e2b8

Patch Set 1 #

Total comments: 4

Patch Set 2 : Rebase #

Patch Set 3 : Add build dependency #

Unified diffs Side-by-side diffs Delta from patch set Stats (+97 lines, -0 lines) Patch
M api/peerconnectioninterface.h View 1 2 chunks +17 lines, -0 lines 0 comments Download
M media/engine/webrtcmediaengine.h View 1 2 chunks +14 lines, -0 lines 0 comments Download
M media/engine/webrtcmediaengine.cc View 1 2 chunks +28 lines, -0 lines 0 comments Download
M pc/BUILD.gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M pc/createpeerconnectionfactory.cc View 1 2 2 chunks +37 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (16 generated)
magjed_webrtc
Taylor - please take a look.
5 days, 21 hours ago (2017-09-13 14:21:26 UTC) #4
Taylor Brandstetter
lgtm https://codereview.webrtc.org/3004353002/diff/20001/webrtc/api/peerconnectioninterface.h File webrtc/api/peerconnectioninterface.h (right): https://codereview.webrtc.org/3004353002/diff/20001/webrtc/api/peerconnectioninterface.h#newcode1131 webrtc/api/peerconnectioninterface.h:1131: rtc::scoped_refptr<AudioProcessing> audio_processing); nit: Maybe it's time to make ...
4 days, 11 hours ago (2017-09-15 00:42:51 UTC) #5
magjed_webrtc
https://codereview.webrtc.org/3004353002/diff/20001/webrtc/api/peerconnectioninterface.h File webrtc/api/peerconnectioninterface.h (right): https://codereview.webrtc.org/3004353002/diff/20001/webrtc/api/peerconnectioninterface.h#newcode1131 webrtc/api/peerconnectioninterface.h:1131: rtc::scoped_refptr<AudioProcessing> audio_processing); On 2017/09/15 00:42:51, Taylor Brandstetter wrote: > ...
3 days, 22 hours ago (2017-09-15 13:39:17 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3004353002/20001
3 days, 22 hours ago (2017-09-15 13:39:33 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: mac_baremetal on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/mac_baremetal/builds/25059)
3 days, 22 hours ago (2017-09-15 13:43:03 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3004353002/40001
3 days, 21 hours ago (2017-09-15 13:53:34 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: mac_baremetal on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/mac_baremetal/builds/25061)
3 days, 21 hours ago (2017-09-15 14:00:03 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3004353002/60001
3 days, 20 hours ago (2017-09-15 15:03:23 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: linux_memcheck on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/linux_memcheck/builds/11627)
3 days, 20 hours ago (2017-09-15 15:06:14 UTC) #20
magjed_webrtc
3 days, 18 hours ago (2017-09-15 17:02:58 UTC) #26
Message was sent while issue was closed.
Committed patchset #3 (id:80001) manually as
58b0316f3d19918788b7a484e3e6a7797ad7e2b8 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b